Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: David Gibson <[email-masked]>
Date: Wed, 13 Jun 2007 19:19:04 +1000

On Wed, Jun 13, 2007 at 11:13:21AM +0200, Segher Boessenkool wrote:
> > Hrm, ok.  Between you and BenH you've convinced me.  I'll try to come
> > up with something.  I think we'll still need to support the old
> > properties as backwards compatibility thing.
> 
> Yes, of course.
> 
> I'm still not happy with creating nodes for application
> flash partitions in the device tree; this isn't done
> for disk partitions either, for analogue reasons (namely,
> that info doesn't belong in the device tree, it is the
> wrong abstraction).
> 
> How do non-device-tree MTD users handle this?

Invidual, board-specific map files with hardcoded partition tables.
See drivers/mtd/maps/ebony.c for example.  Hence my view of the device
tree as a preferable option.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson